aboutsummaryrefslogtreecommitdiff
path: root/docker/debian-dev/bootstrap/setup-dev.bash
diff options
context:
space:
mode:
Diffstat (limited to 'docker/debian-dev/bootstrap/setup-dev.bash')
-rwxr-xr-xdocker/debian-dev/bootstrap/setup-dev.bash13
1 files changed, 13 insertions, 0 deletions
diff --git a/docker/debian-dev/bootstrap/setup-dev.bash b/docker/debian-dev/bootstrap/setup-dev.bash
new file mode 100755
index 0000000..2e69da7
--- /dev/null
+++ b/docker/debian-dev/bootstrap/setup-dev.bash
@@ -0,0 +1,13 @@
+#! /usr/bin/env bash
+
+set -e
+
+. /bootstrap/func.bash
+
+apt-get install -y build-essential git devscripts debhelper quilt \
+ cpio kmod bc python bison flex rsync libelf-dev libssl-dev libncurses-dev dwarves
+
+append-bash-profile dev.bash
+append-bash-profile dquilt.bash
+copy-home-dot-file devscripts
+copy-home-dot-file quiltrc-dpkg